class BlogController < ApplicationController



  def index
    list
    render :action => 'list'
  end

  def list
    # Declare a paginator for the posts table
    @post_pages, @posts = paginate :posts, :per_page => 10
  end    


  def create
    @post = Post.new(params[:post])
    if @post.save
      flash[:notice] = 'Post was successfully created.'
      redirect_to :action => 'list'
    else
      render :action => 'new'
    end
  end    
  
  def new
  end

  def show
    @post = Post.find(params[:id])
  end   


  def edit
    @post = Post.find(params[:id])
  end
  
  def update
    @post = Post.find(params[:id])
    if @post.update_attributes(params[:post])
      flash[:notice] = 'Post was successfully updated.'
      redirect_to :action => 'show', :id => @post
    else
      render :action => 'edit'
    end
  end  
  
end
